QGIS Application - Feature request #16432
Update the field list in layer.dataProvider().forceReload()
2017-04-10 01:42 PM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 24341
Description

Once you load e.g. postgis table into QGIS, there is no way to reload its fields (e.g. after adding a column via psycopg or other concurrent
connection), except reloading the whole project of course. The layer.dataProvider().forceReload() assumes the fields structure is
constant and only reloads the records.

I noticed it when working with PostGIS, but | suspect it's a provider-independent issue.

History

#1 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2018-10-24 07:35 PM - Borys Jurgiel
- Resolution set to wontfix

- Status changed from Open to Closed
- Description updated

layer.setDataSource() can be used instead
